Index: tungstenite/Cargo.toml
===================================================================
--- tungstenite.orig/Cargo.toml
+++ tungstenite/Cargo.toml
@@ -69,13 +69,6 @@ required-features = ["handshake"]
 name = "srv_accept_unmasked_frames"
 required-features = ["handshake"]
 
-[[bench]]
-name = "buffer"
-harness = false
-
-[[bench]]
-name = "write"
-harness = false
 
 [dependencies.byteorder]
 version = "1.3.2"
@@ -92,7 +85,7 @@ version = "0.2"
 optional = true
 
 [dependencies.httparse]
-version = "1.3.4"
+version = "1.8"
 optional = true
 
 [dependencies.log]
@@ -122,25 +115,18 @@ optional = true
 version = "1.0.23"
 
 [dependencies.url]
-version = "2.1.0"
+version = "2.4"
 optional = true
 
 [dependencies.utf-8]
 version = "0.7.5"
 
-[dependencies.webpki-roots]
-version = "0.24"
-optional = true
-
 [dev-dependencies.criterion]
 version = "0.5.0"
 
 [dev-dependencies.env_logger]
 version = "0.10.0"
 
-[dev-dependencies.input_buffer]
-version = "0.5.0"
-
 [dev-dependencies.net2]
 version = "0.2.37"
 
@@ -158,15 +144,7 @@ handshake = [
     "url",
 ]
 native-tls = ["native-tls-crate"]
-native-tls-vendored = [
-    "native-tls",
-    "native-tls-crate/vendored",
-]
 rustls-tls-native-roots = [
     "__rustls-tls",
     "rustls-native-certs",
 ]
-rustls-tls-webpki-roots = [
-    "__rustls-tls",
-    "webpki-roots",
-]
